package com.ama.core.architecture.page


interface OnRepositoryRefreshListener {

    /**
     * finish: the callback while 'refresh operation' over
     */
    fun refresh(finish: (() -> Unit)? = null)
}

interface OnRepositoryLoadMoreListener {

    fun load()

    fun loadRetry()
}